Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.frameworkAdapter.springBasic
Class SpringBasicFrameworkAdapter

    java.lang.Object
      org.apache.myfaces.orchestra.frameworkAdapter.FrameworkAdapter
          org.apache.myfaces.orchestra.frameworkAdapter.basic.BasicFrameworkAdapter
              org.apache.myfaces.orchestra.frameworkAdapter.springBasic.SpringBasicFrameworkAdapter

    public class SpringBasicFrameworkAdapter

extends BasicFrameworkAdapter

Same as `BasicFrameworkAdapter` but lookup the bean using the Spring framework.

This makes it possible to configure Orchestra to look up beans from a Spring context even when there is no ServletContext or FacesContext available.

See Also:
  `BasicFrameworkAdapter`

Constructor Summary
`SpringBasicFrameworkAdapter(javax.servlet.ServletContext context, java.lang.String conversationMessagerClass)`

Method Summary
`java.lang.Object` | `getBean(java.lang.String name)` Look in the request and session scopes for an entry with the specified name.

Methods inherited from class org.apache.myfaces.orchestra.frameworkAdapter.basic.BasicFrameworkAdapter
`beginRequest, containsRequestAttribute, containsRequestParameterAttribute, containsSessionAttribute, createConversationMessager, createDefaultConversationMessager, endRequest, getInitParameter, getRequestAttribute, getRequestContextPath, getRequestParameterAttribute, getSessionAttribute, invokeNavigation, redirect, setRequestAttribute, setSessionAttribute`

Methods inherited from class org.apache.myfaces.orchestra.frameworkAdapter.FrameworkAdapter
`getConversationMessager, getCurrentInstance, getCurrentViewId, prepare, setConversationMessager, setCurrentInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBasicFrameworkAdapter

    public SpringBasicFrameworkAdapter(javax.servlet.ServletContext context,
                                       java.lang.String conversationMessagerClass)

Method Detail

### getBean

    public java.lang.Object getBean(java.lang.String name)

  Description copied from class: `BasicFrameworkAdapter`
  Look in the request and session scopes for an entry with the specified name.

  This basic adapter class does not support invoking the JSP expression evaluator; no "variable resolver" will ever be used to look up the specified name.

  TODO: also look in the application scope.

  TODO: investigate invoking the jsp.ExpressionFactory class to look up the variable. Possibly that could be done in a different JspFrameworkAdapter class.

  Overrides:
    `getBean` in class `BasicFrameworkAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.